
/* RESPONSIVE */
@media (max-width: 576px) {
    .hero-content-intro h1 {
        font-size: 10px;
    }

    nav ul {
        flex-direction: column;
        align-items: center;
        background-color: #355F52;
        padding: 20px 0;
    }

    nav li {
        margin: 10px 0;
    }
    
    .form-recherche {
        width: 90%;
    }

    .table-resultat {
        font-size: 14px;
    }
}

/* Responsive */
@media (max-width: 576px) {
    .card-container {
        flex-direction: column;
        align-items: center;
    }
}

/* RESET */
* {
    margin: 0 auto;
    padding: 0;
    box-sizing: border-box;
    font-size: 18px;
}

body {
    font-family: Arial, sans-serif;
    background-color: #e4eeea;
    margin: 0 auto;
}

main {
    max-width: 98%;
}

/* CONTAINER */
.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    margin-bottom: 10px;
}

/* HEADER */
header {
    background-color: #355F52;
    padding: 15px 0;
    margin-bottom: 15px;
}

.nav-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    font-size: 24px;
    font-weight: bold;
    color: white;
}

nav ul {
    display: flex;
    list-style: none;
    gap: 20px;
    justify-content: flex-end;
}

nav a {
    text-decoration: none;
    color: white;
    font-weight: bold;
}

nav a.active,
nav a:hover {
    background: white;
    color: #355F52;
    padding: 5px 10px;
    border-radius: 5px;
}


a:hover {
    background: white;
    color: #355F52;
    padding: 5px 10px;
    border-radius: 5px;
}

/* HERO */
.hero {
    height: 80vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: white;
    position: relative;
}
#imgnourriture {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    top: 0;
    left: 0;
    z-index: 0;
    opacity: 85%;
    border-radius: 10px 10px 200px 200px;
    
}

.hero-content-intro {
    position: relative;
    z-index: 2;
    background-color: #bbccbc;
    color: #000;
    padding : 15px;
    border-radius: 15px;
}

.hero h1 {
    font-size: 34px;
    margin-bottom: 20px;
}

h1 {
    font-size: 28px;
    text-align: center;
}

.hero p {
    font-size: 18px;
    margin-bottom: 30px;
}

.btn {
    background-color: #2b6430;
    padding: 12px 25px;
    color: white;
    text-decoration: none;
    border-radius: 30px;
    font-weight: bold;
    transition: 0.3s;
    display: flex;
    justify-content: center;
    margin-bottom: 15px;
    width: 55%;
}

.btn:hover {
    background-color: #c5d6c6;
    padding: 12px 25px;
    color: #2b6430;
    text-decoration: none;
    padding: 12px 25px;
    border-radius: 30px;
}

.hero-content {
    position: relative;
    z-index: 2;
    padding : 15px;
    padding-bottom: 25px;
    border-radius: 15px;
}

/* ABOUT */
.about {
    padding: 60px 0;
    text-align: center;
}

.about h2 {
    margin-bottom: 20px;
    color: #2f5d50;
    font-size: 34px;
}

.features {
    display: flex;
    justify-content: center;
    gap: 40px;
    margin-top: 40px;
    flex-wrap: wrap;
}

.feature {
    font-size: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.feature span {
    font-size: 16px;
    font-weight: bold;
    color: #2f5d50;
}

/* FOOTER */
footer {
    background-color: #355F52;
    color: white;
    text-align: center;
    padding: 20px;
    margin-top: 40px;
}

/* CARTE --- CATALOGUE */
.catalogue {
    padding: 30px 0;
    display: flex;
    justify-content: center;
}

/* Conteneur des cartes */
.card-container {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
    justify-content: center;
}

/* Flip Card */


.flip-card {
    background: transparent;
    width: 250px;
    height: 550px;
    perspective: 1000px;
    transform-style: preserve-3d; /* ajoute ceci */
}

/* Intérieur */
.flip-inner {
    position: relative;
    width: 100%;
    height: 100%;
    transition: transform 0.7s;
    transform-style: preserve-3d;
    border: 2px solid #353333;

    border-radius: 15px;
}

/* Rotation au hover */
.flip-card:hover .flip-inner {
    transform: rotateY(180deg);
}

/* Face avant et arrière */
.flip-front, .flip-back {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 15px;
    backface-visibility: hidden;
    box-shadow: 0 10px 25px rgba(0,0,0,0.15);
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 10px;
}

/* Face avant */
.flip-front {
    background: white;
}

.flip-front img {
    width: 100%;
    height: 70%;
    object-fit: cover;
}

.flip-front h2 {
    margin-top: 10px;
    color: #2f5d50;
}

/* Face arrière */
.flip-back {
    background: #355F52;
    color: white;
    transform: rotateY(180deg);
    padding: 20px;
    text-align: center;
    font-size: 20px;
}

/* FORM RECHERCHE */

.form-recherche {
    width: 50%;
    margin: 30px auto;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.form-recherche input {
    padding: 10px;
    font-size: 16px;
}

.form-recherche button {
    padding: 10px;
    background-color: #355F52;
    color: white;
    border: none;
    cursor: pointer;
}

/* REPONSE RECHERCHE*/

.table-resultat {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
}

.table-resultat th,
.table-resultat td {
    border: 1px solid #ddd;
    padding: 10px;
    text-align: center;
}

.table-resultat th {
    background-color: #355F52;
    color: white;
}


/*FORMULAIRE*/
.container-connex {
    max-width: 500px;
    margin: 0 auto;
    background-color: #bbccbc;
    padding: 15px;
    border-radius: 15px;
}

.container-connex h1 {
    margin: 15px;
}
.erreur {
    font-weight: 800;
    background-color: #bbccbc;
    padding: 8px;
    border-radius: 15px;
}

/* Labels */

#entete {
    display: flex;
    gap: 2px;
    margin-bottom: 15px;
    flex: 1;
    flex-direction: column;
    text-align: left;
}
#entete div {
    margin: 10px;
    padding: 0px;
    box-sizing: border-box;
    font-size: 18px;
}

#entete label {
    display: flex;
    align-items: baseline;
    text-align: left;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
    font-size: 17px;
    text-transform: uppercase;
}

/* Astérisque */
label span {
    color: red;
}

/* Champs */
input, textarea {
    width: 70%;
    padding: 6px;
    margin-bottom: 15px;
    border: 1px solid #aaa;
    box-sizing: border-box;
}

/* Hauteur message */
textarea {
    height: 130px;
}

/* Bouton */
button[type="submit"] {
    background-color: #355F52;
    color: #fff;
    font-weight: bold;
    border: none;
    padding: 18px;
    cursor: pointer;
    margin-bottom: 15px;
}

button[type="submit"]:hover {
    background-color: #fff;
    color: #355F52;
}

.image {
    width: 40%;
    object-fit: cover;
}



/*ADMIN*/
.hero-content-admin {
    display: flex;
    position: relative;
    z-index: 2;
    width: 25%;
    color: #000;
    padding : 15px;
    border-radius: 15px;
    gap: 25px;
}

/*TABLEAU DONNEES*/

thead {
    background-color: #e1d9fa;
}

#Tab {
    border: 1px solid #918c8c;
    border-collapse: collapse;
    max-width: 97%;
}

#Tab th, #Tab td {
    border: 1px solid #918c8c;
    padding: 15px;
}

#Tab tbody tr:nth-child(odd) {
    background-color: #f2f2f2;
}

#Tab tbody tr:nth-child(even) {
    background-color: #ffffff;
}